# Source code for azure.mgmt.iothub.models.event_hub_consumer_group_info

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class EventHubConsumerGroupInfo(Model):
        """The properties indicating the EventHubConsumerGroupInfo.

        :param tags: The tags.
        :type tags: dict
        :param id: The event hub consumer group identifier.
        :type id: str
        :param name: The event hub consumer group name.
        :type name: str
        """

        _attribute_map = {
            'tags': {'key': 'tags', 'type': '{str}'},
            'id': {'key': 'id', 'type': 'str'},
            'name': {'key': 'name', 'type': 'str'},
        }

        def __init__(self, tags=None, id=None, name=None):
            self.tags = tags
            self.id = id
            self.name = name